%define pypi_name	setproctitle

Name:		python-%{pypi_name}
Version:	1.3.4
Release:	%mkrel 2
Summary:	A library allowing a process to change its title
License:	BSD
Group:		System/Libraries
Url:		https://github.com/dvarrazzo/py-setproctitle/
Source0:	%{pypi_source}

%description
The library allows a process to change its title (as displayed by system tools
such as ps and top).

Changing the title is mostly useful in multi-process systems, for example when
a master process is forked: changing the children's title allows to identify
the task each process is busy with.

%package -n	python3-%{pypi_name}
Summary:	A library allowing a process to change its title
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
The library allows a process to change its title (as displayed by system tools
such as ps and top).

Changing the title is mostly useful in multi-process systems, for example when
a master process is forked: changing the children's title allows to identify
the task each process is busy with.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc HISTORY.rst README.rst


%changelog
* Sat Feb 22 2025 wally <wally> 1.3.4-2.mga10
+ Revision: 2150786
- really rebuild for python3.13
- rebuild for python3.13

* Fri Dec 20 2024 daviddavid <daviddavid> 1.3.4-1.mga10
+ Revision: 2126625
- new version: 1.3.4

* Thu Dec 14 2023 papoteur <papoteur> 1.3.3-3.mga10
+ Revision: 2018087
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 1.3.3-2.mga10
+ Revision: 2015157
- rebuild for py3.12
- use %%pyproject_buildrequires

* Mon Oct 09 2023 daviddavid <daviddavid> 1.3.3-1.mga10
+ Revision: 1993857
- new version: 1.3.3
- switch to pyproject

* Tue Aug 23 2022 papoteur <papoteur> 1.3.2-1.mga9
+ Revision: 1879740
- new 1.3.2

* Fri Mar 18 2022 umeabot <umeabot> 1.2.2-4.mga9
+ Revision: 1798963
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1.2.2-3.mga9
+ Revision: 1773462
- Rebuild for python-3.10

* Sat Mar 20 2021 joequant <joequant> 1.2.2-2.mga9
+ Revision: 1705210
- update to python3.9

* Fri Feb 26 2021 daviddavid <daviddavid> 1.2.2-1.mga9
+ Revision: 1691689
- new version: 1.2.2

* Tue Dec 15 2020 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1657625
- new version: 1.2.1

* Wed Dec 02 2020 daviddavid <daviddavid> 1.2-1.mga8
+ Revision: 1651517
- new version: 1.2

* Sun Feb 16 2020 umeabot <umeabot> 1.1.10-9.mga8
+ Revision: 1532038
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.1.10-8.mga8
+ Revision: 1441445
- drop python2 support

* Sat Sep 14 2019 joequant <joequant> 1.1.10-7.mga8
+ Revision: 1440873
- fix setproctitle install
- update to python 3.8

* Wed Jan 09 2019 tv <tv> 1.1.10-6.mga7
+ Revision: 1352972
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.1.10-5.mga7
+ Revision: 1300594
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 daviddavid <daviddavid> 1.1.10-4.mga7
+ Revision: 1138887
- provides python-setproctitle

* Sun Aug 06 2017 joequant <joequant> 1.1.10-3.mga7
+ Revision: 1137549
- fix python package names

* Fri Aug 04 2017 joequant <joequant> 1.1.10-2.mga7
+ Revision: 1134651
- rebuild for Python 3.6

* Sat May 14 2016 daviddavid <daviddavid> 1.1.10-1.mga7
+ Revision: 1015497
- new version: 1.1.10

* Fri Feb 12 2016 umeabot <umeabot> 1.1.9-2.mga6
+ Revision: 958689
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.1.9-1.mga6
+ Revision: 889340
- new version: 1.1.9
- add python 3 package
- use new python macros
- update URL
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-8.mga5
+ Revision: 750110
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.6-7.mga5
+ Revision: 729757
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-6.mga5
+ Revision: 688326
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.6-4.mga4
+ Revision: 544238
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.6-3.mga4
+ Revision: 499357
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.6-2.mga3
+ Revision: 379494
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 obgr_seneca <obgr_seneca> 1.1.6-1.mga3
+ Revision: 330110
- New version

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 1.1.3-1.mga2
+ Revision: 223009
- added missing BR on python-devel
- imported package python-setproctitle

